Subject: bug#66151: 29.1.50; daemon crashing after X forwarding disconnects

From: George P <[email-masked]>
Date: Sun, 5 May 2024 12:25:45 -0400

Sorry for the late reply! I can confirm that the crash goes away with
the above patch on the latest master (with !FRAME_LIVE_P replaced with
FRAME_LIVE_P of course).

I do not know if there are any other side effects of the dead frame
being retained in Vfontset_table.

On Sat, Apr 27, 2024 at 4:37 AM Eli Zaretskii <[email-masked]> wrote:
>
> Ping!  George, could you please try Po Lu's suggestion and report
> back?
>
> > From: Po Lu <[email-masked]>
> > Cc: [email-masked],  [email-masked]
> > Date: Fri, 19 Apr 2024 20:00:24 +0800
> >
> > Eli Zaretskii <[email-masked]> writes:
> >
> > > Are you sure it should be !FRAME_LIVE_P?
> >
> > No, it should be the express opposite.
> >
> > > Why would we condition the call to recompute_basic_faces on the fact
> > > that the relevant frame is no longer alive?  What am I missing?
> >
> > Nothing, if my hurried preparation of the patch counts as nothing...  It
> > was altogether less successful than my simultaneous preparation for rush
> > hour traffic.
> >